Package ghidra.app.util.html.diff

# Class DiffLines

java.lang.Object
java.util.AbstractCollection<ValidatableLine>
java.util.AbstractList<ValidatableLine>
java.util.ArrayList<ValidatableLine>
ghidra.app.util.html.diff.DiffLines

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<ValidatableLine>`, `Collection<ValidatableLine>`, `List<ValidatableLine>`, `RandomAccess`, `SequencedCollection<ValidatableLine>`

public class DiffLines extends ArrayList<ValidatableLine>
A class that holds lines that will be used to generate diffs. It also has a reference to the source of the data so that it can create the correct type of empty lines as needed.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiffLines(DataTypeDiffInput input)`
  `DiffLines(DataTypeDiffInput input, List<ValidatableLine> validatedLines)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### DiffLines

    public DiffLines(DataTypeDiffInput input)

  - ### DiffLines

    public DiffLines(DataTypeDiffInput input, List<ValidatableLine> validatedLines)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractCollection<ValidatableLine>`